Subject: Re: linux-next: Tree for November 5

From: Sachin Sant <[email-masked]>
Date: Sat, 07 Nov 2009 22:27:06 +0530

Bjorn Helgaas wrote:
> On Thursday 05 November 2009 10:17:11 am Bjorn Helgaas wrote:
>   
>> On Thursday 05 November 2009 09:31:04 am Bjorn Helgaas wrote:
>>     
>>> On Thursday 05 November 2009 03:38:27 am Sachin Sant wrote:
>>>       
>>>> Today's next tree fails to build on i386 with
>>>>
>>>> arch/x86/pci/built-in.o: In function `align_resource':
>>>> arch/x86/pci/acpi.c:82: undefined reference to `__udivdi3'
>>>>
>>>> The code in question was added by commit
>>>> 03db42adfeeabe856dbb6894dd3aaff55838330a.
>>>>         
>>> I'll look into this.  I did build and test a 32-bit x86 kernel, but
>>> I built it on an x86_64 box using "linux32 make ...", which looks like
>>> it used gcc 4.3.2.
>>>       
>> Can you try the patch below, please?
>>     
>
> Sachin, can you please try this patch and report whether it
> fixes the undefined reference?  I hate to have linux-next
> broken longer than necessary.
>   
Sorry was away from office for a day. Yes the patch
fixed the build break for me. 

Thanks for the patch.

Regards
-Sachin

-- 

---------------------------------
Sachin Sant
IBM Linux Technology Center
India Systems and Technology Labs
Bangalore, India
---------------------------------